Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.index
Class ResponseIndexListener

    java.lang.Object
      net.sourceforge.pebble.index.ResponseIndexListener

All Implemented Interfaces:
  CommentListener, TrackBackListener

    public class ResponseIndexListener

extends java.lang.Object
implements CommentListener, TrackBackListener

Listens to comment/TrackBack events and keeps the response index up to date.

Author:
  Simon Brown

Constructor Summary
`ResponseIndexListener()`

Method Summary
`void` | `commentAdded(CommentEvent event)` Called when a comment has been added.
`void` | `commentApproved(CommentEvent event)` Called when a comment has been approved.
`void` | `commentRejected(CommentEvent event)` Called when a comment has been rejected.
`void` | `commentRemoved(CommentEvent event)` Called when a comment has been removed.
`void` | `trackBackAdded(TrackBackEvent event)` Called when a TrackBack has been added.
`void` | `trackBackApproved(TrackBackEvent event)` Called when a TrackBack has been approved.
`void` | `trackBackRejected(TrackBackEvent event)` Called when a TrackBack has been rejected.
`void` | `trackBackRemoved(TrackBackEvent event)` Called when a TrackBack has been removed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseIndexListener

    public ResponseIndexListener()

Method Detail

### commentAdded

    public void commentAdded(CommentEvent event)

  Called when a comment has been added.

  Specified by:
    `commentAdded` in interface `CommentListener`
  Parameters:
    `event` - a CommentEvent instance

### commentRemoved

    public void commentRemoved(CommentEvent event)

  Called when a comment has been removed.

  Specified by:
    `commentRemoved` in interface `CommentListener`
  Parameters:
    `event` - a CommentEvent instance

### commentApproved

    public void commentApproved(CommentEvent event)

  Called when a comment has been approved.

  Specified by:
    `commentApproved` in interface `CommentListener`
  Parameters:
    `event` - a CommentEvent instance

### commentRejected

    public void commentRejected(CommentEvent event)

  Called when a comment has been rejected.

  Specified by:
    `commentRejected` in interface `CommentListener`
  Parameters:
    `event` - a CommentEvent instance

### trackBackAdded

    public void trackBackAdded(TrackBackEvent event)

  Called when a TrackBack has been added.

  Specified by:
    `trackBackAdded` in interface `TrackBackListener`
  Parameters:
    `event` - a TrackBackEvent instance

### trackBackRemoved

    public void trackBackRemoved(TrackBackEvent event)

  Called when a TrackBack has been removed.

  Specified by:
    `trackBackRemoved` in interface `TrackBackListener`
  Parameters:
    `event` - a TrackBackEvent instance

### trackBackApproved

    public void trackBackApproved(TrackBackEvent event)

  Called when a TrackBack has been approved.

  Specified by:
    `trackBackApproved` in interface `TrackBackListener`
  Parameters:
    `event` - a TrackBackEvent instance

### trackBackRejected

    public void trackBackRejected(TrackBackEvent event)

  Called when a TrackBack has been rejected.

  Specified by:
    `trackBackRejected` in interface `TrackBackListener`
  Parameters:
    `event` - a TrackBackEvent instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.